CREATE TABLE IF NOT EXISTS `plugin_elavon_settings` (
    `name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_elavon_transactions` (
`id` INT NULL AUTO_INCREMENT ,
`transactionId` VARCHAR( 50 ) NULL ,
`approvalId` VARCHAR( 10 ) NULL ,
`cardNumber` VARCHAR( 20 ) NULL ,
`invoiceNumber` VARCHAR( 25 ) NULL ,
`email` VARCHAR( 60 ) NULL ,
`status` VARCHAR( 10 ) NULL ,
`paymentType` VARCHAR( 10 ) NULL ,
`amount` VARCHAR( 20 ) NULL ,
`tax` VARCHAR( 20 ) NULL ,
`paymentDate` TIMESTAMP NULL ,
`firstName` VARCHAR( 40 ) NULL ,
`lastName` VARCHAR( 40 ) NULL ,
`address` TEXT NULL ,
`contact` VARCHAR( 20 ) NULL ,
`shipAddress` TEXT NULL ,
`cartId` INT(11) NULL DEFAULT NULL ,
PRIMARY KEY ( `id` )
) ENGINE = InnoDB CHARACTER SET utf8 COLLATE utf8_unicode_ci;